$primary: $black !default;
$accent: $bright-green !default;
$accent-alt: $blue !default;

$link: $accent-alt !default;

$success: $green !default;
$light-success: $light-green !default;
$warning: $yellow !default;
$light-warning: $light-yellow !default;
$danger: $red !default;
$light-danger: $light-red !default;

$info: $blue !default;

$light: $grey-lighter !default;
$dark: $darker-grey !default;

//  Invert colors

$black-invert: findColorInvert($black) !default;

$bright-green-invert: findColorInvert($bright-green) !default;

$blue-invert: findColorInvert($blue) !default;

$green-invert: findColorInvert($green) !default;
$light-green-invert: findColorInvert($light-green) !default;
$yellow-invert: findColorInvert($yellow) !default;
$light-yellow-invert: findColorInvert($light-yellow) !default;
$red-invert: findColorInvert($red) !default;
$light-red-invert: findColorInvert($light-red) !default;

$primary-invert: $black-invert !default;
$accent-invert: $bright-green-invert !default;
$accent-alt-invert: $blue-invert !default;

$success-invert: $green-invert !default;
$light-success-invert: $light-green-invert !default;
$warning-invert: $yellow-invert !default;
$light-warning-invert: $light-yellow-invert !default;
$danger-invert: $red-invert !default;
$light-danger-invert: $light-red-invert !default;

$info-invert: $blue-invert !default;

$light-invert: $dark !default;
$dark-invert: $light !default;

// Text colors

$text: $black !default;
$text-invert: findColorInvert($text) !default;

// Typography

$family-primary: $family-sans-serif !default;
$family-code: $family-monospace !default;

$size-small: $size-7 !default;
$size-normal: $size-6 !default;
$size-medium: $size-5 !default;
$size-large: $size-4 !default;

//  Lists
$colors: (
        "primary": ($primary, $primary-invert),
        "accent": ($accent, $accent-invert),
        "accent-alt": ($accent-alt, $accent-alt-invert),
        "success": ($success, $success-invert),
        "light-success": ($light-success, $light-success-invert),
        "warning": ($warning, $warning-invert),
        "light-warning": ($light-warning, $light-warning-invert),
        "danger": ($danger, $danger-invert),
        "light-danger": ($light-danger, $light-danger-invert),
        "info": ($info, $info-invert)
) !default;

$sizes: $size-1 $size-2 $size-3 $size-4 $size-5 $size-6 $size-7 !default;